aboutsummaryrefslogtreecommitdiffstats
path: root/testing/byacc
diff options
context:
space:
mode:
authorNathan Angelacos <nangel@alpinelinux.org>2012-01-01 06:47:02 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-01-02 08:17:11 +0000
commiteb275884ad7ab102a4014d6d45d1a7eac646bbba (patch)
tree8661c457c22a95c2f24a13a4a45f412868924cf7 /testing/byacc
parent72cf2fcde755730edca403990c913867e082268b (diff)
downloadaports-eb275884ad7ab102a4014d6d45d1a7eac646bbba.tar.gz
aports-eb275884ad7ab102a4014d6d45d1a7eac646bbba.tar.bz2
aports-eb275884ad7ab102a4014d6d45d1a7eac646bbba.tar.xz
testing/byacc/APKBUILD Berkeley Yacc
Diffstat (limited to 'testing/byacc')
-rw-r--r--testing/byacc/APKBUILD31
1 files changed, 31 insertions, 0 deletions
diff --git a/testing/byacc/APKBUILD b/testing/byacc/APKBUILD
new file mode 100644
index 0000000000..8c2cc2bea4
--- /dev/null
+++ b/testing/byacc/APKBUILD
@@ -0,0 +1,31 @@
+# Maintainer: Nathan Angelacos <nangel@alpinelinux.org>
+pkgname=byacc
+pkgver=20111219
+pkgrel=0
+pkgdesc="The Berkeley Yacc general-purpose parser generator"
+arch="all"
+license="Public Domain"
+url="http://invisible-island.net/byacc/byacc.html"
+source="ftp://invisible-island.net/byacc/byacc-${pkgver}.tgz"
+subpackages="$pkgname-doc"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+ cd "$_builddir"
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --datadir=/usr/share \
+ --infodir=/usr/share/info \
+ --mandir=/usr/share/man
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="c17542fd9df6e392d495a64f883e29f1 byacc-20111219.tgz"